const http = require("http");


class Server {
    constructor(config) {
        this._port = config.port;
        this._hostName = config.hostName;
        this._eventEmitter = config.eventEmitter;
        this._eventListenerName = config.eventListenerName;

    };

    start() {
        http.createServer((req, res) => {
            this._eventEmitter.emit("newReq", req, res);
        }).listen(this._port,
            console.log(`Server Online on ${this._hostName} On Port ${this._port}`));
    }
}

module.exports =
    Server